@charset "utf-8";

/* 게시판용 버튼
a.btn_b01,.btn_b01 {display:inline-block;color:#0c4da2;text-decoration:none;border:0;background:transparent}
.btn_b01:hover, .btn_b01:hover {color:#000}
a.btn_b02,.btn_b02 {display:inline-block;background:#253dbe;padding:0 10px;color:#fff;text-decoration:none;border:0;vertical-align:middle}
a.btn_b02:hover, .btn_b02:hover {background:#0025eb}
a.btn_b03, .btn_b03 {display:inline-block;background:#fff;border:1px solid #b9bdd3;color:#646982;text-decoration:none;vertical-align:middle}
a.btn_b03:hover, .btn_b03:hover {background:#ebedf6}
a.btn_b04, .btn_b04 {display:inline-block;background:#fff;border:1px solid #ccc;color:#707070;text-decoration:none;vertical-align:middle}
a.btn_b04:hover, .btn_b04:hover {color:#333;background:#f9f9f9}
.btn_admin:hover, a.btn_admin:hover {color:#ff3746}
 */
 button {
 font: inherit;   
 color: inherit;   
 background: none;  
 border: none;   
 padding: 0;   
 cursor: pointer;
}
.btn_b01{font-size:15px;}
a.btn_admin,.btn_admin {display:inline-block;color:#d13f4a;text-decoration:none;vertical-align:middle} /* 관리자 전용 버튼 */

.badge{
  display:inline-block;
  margin-left:1px;
  font-size:10px;
  padding:1px;
  border-radius:4px;
  line-height:1;font-weight:100;line-height:1em;
}

.badge.new{
  background:#00c853;color:#fff;
}

.badge.hot{
  background:#ff3d00;color:#fff;
} 

.badge.hit{
  background:#ff9800;color:#fff;
}
.badge.secret{color:#f7d11d;}
.reply_mark{color:#ff9656;}
/* 쓰기 버튼 */

#bo_w{max-width:1200px;margin:0 auto;padding:10px;}
#bo_w .btn_confirm {justify-content: center;} /* 서식단계 진행 */
#bo_w .btn_submit {padding:10px 20px;font-size:1.167em}
#bo_w button.btn_submit {}
#bo_w fieldset .btn_submit {}
#bo_w .btn_cancel {padding:10px;font-size:1.167em;border-radius:3px}
#bo_w button.btn_cancel {}
#bo_w .btn_cancel:focus, #bo_w .btn_cancel:hover {}
#bo_w a.btn_frmline, #bo_w button.btn_frmline {} /* 우편번호검색버튼 등 */
#bo_w button.btn_frmline {}

.selec_chk {position:absolute;top:0;left:0;width:0;height:0;opacity:0;outline:0;z-index:-1;overflow:hidden}
.chk_box {position:relative;text-align:right}
.chk_box input[type="checkbox"] + label {position:relative;padding-left:20px;color:#676e70;vertical-align:baseline}
.chk_box input[type="checkbox"] + label:hover{color:#2172f8}
.chk_box input[type="checkbox"] + label span {position:absolute;top:5px;left:0px;width:15px;height:15px;display:block;background:#fff;border:1px solid #d0d4df;border-radius:3px}
.write_div .chk_box input[type="checkbox"] + label, .bo_vc_w .chk_box input[type="checkbox"] + label {padding-left:20px}
.write_div .chk_box input[type="checkbox"] + label span, .bo_vc_w .chk_box input[type="checkbox"] + label span {position:absolute;top:2px;left:0;width:15px;height:15px;display:block;margin:0;background:#fff;border:1px solid #d0d4df;border-radius:3px}
.chk_box input[type="checkbox"]:checked + label {color:#000}
.chk_box input[type="checkbox"]:checked + label span {background:url(./img/chk.png) no-repeat 50% 50% #3a8afd;border-color:#1471f6;border-radius:3px}
.all_chk.chk_box input[type="checkbox"] + label span {top:0;left:0}

/* 갤러리 목록 */
#bo_gall h2 {margin:0;padding:0;width:1px;height:1px;font-size:0;line-height:0;overflow:hidden}
#bo_gall #gall_ul {max-width:865px;margin:0px 0 5rem;padding:0;list-style:none;zoom:1}
#bo_gall #gall_ul:after {display:block;visibility:hidden;clear:both;content:""}
#bo_gall .gall_li {position:relative}
#bo_gall .gall_li .gall_chk{position:absolute;top:20px;right:0;padding:5px;z-index:1;}
#bo_gall .gall_box {position:relative;width:865px;border-bottom:1px solid #eee;padding-bottom: 15px;}
#bo_gall .gall_con {padding-right:160px;min-height:125px;padding-top:20px;position:relative;}
#bo_gall .gall_con:hover{cursor:pointer}
/*#bo_gall .gall_con:hover .bo_tit{text-decoration:underline}
#bo_gall .gall_con:hover .bo_tit{border-bottom:2px solid #000}*/

#bo_gall .gall_img {display:flex; justify-content: center;
 align-items: center;background-color:#fff;background-image:url(/img/logo.png);background-repeat:no-repeat;background-size:60%;background-position:center;position:absolute;right:0;top:20px;border:1px solid #eee;text-align:center;width:150px;height:105px;overflow:hidden}
#bo_gall .gall_img a,#bo_gall .gall_img .no_image,#bo_gall .gall_img .is_notice {display:block}
.is_notice{background:#f00;color:#fff;padding:1px 1px 2px;border-radius:3px;}
#bo_gall .gall_img img {max-width:100%;height:auto !important}
#bo_gall .gall_img span {  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;}

/* 게시판 목록 */
#bo_cate {margin:25px 0}
#bo_cate h2 {position:absolute;font-size:0;line-height:0;overflow:hidden}
#bo_cate ul {zoom:1}
#bo_cate ul:after {display:block;visibility:hidden;clear:both;content:""}
#bo_cate li {display:inline-block;padding:2px}
#bo_cate a {display:block;line-height:28px;padding:5px 15px;border-radius:30px;border:1px solid #d6e9ff;color:#6794d3}
#bo_cate a:focus, #bo_cate a:hover, #bo_cate a:active {text-decoration:none;background:#3a8afd;color:#fff}
#bo_cate #bo_cate_on {z-index:2;background:#3a8afd;color:#fff;font-weight:bold;border:1px solid #3a8afd;
-webkit-box-shadow:inset 0 2px 5px rgb(33, 135, 202);
-moz-box-shadow:inset 0 2px 5px rgb(33, 135, 202);
box-shadow:inset 0 2px 5px rgb(33, 135, 202)}
.td_subject img {margin-left:3px}

/* 게시판 목록 공통 */
#bo_btn_top {margin:10px 0 10px;border-bottom:2px solid #000}

.bo_fx {margin-top:5px;;zoom:1}
.bo_fx:after {display:block;visibility:hidden;clear:both;content:""}
.bo_fx ul {margin:0;padding:0;list-style:none}
#bo_list_total {line-height:34px;font-size:0.92em;color:#4e546f}
#bo_list_total span b{color:#0c4da2;}


.bo_cate_link {margin-bottom:5px;display:inline-block;margin-right:10px;background:#e2eaf6;color:#3a8afd;font-weight:normal !important;height:20px;line-height:10px;padding:4px;border-radius:5px;font-size:0.85em} /* 글제목줄 분류스타일 */
.bo_cate_link:hover {text-decoration:none}
.td_num strong {color:#000}
.bo_tit {display:block;color:#000;}

.btn_bo_user {margin:0 0 5px;padding:0;list-style:none;display:flex;align-items: center;}
.btn_bo_user li {text-align:center;margin-left:5px;background:#e9e9e9;padding:5px;border-radius:3px;}
.btn_bo_user > li {position:relative}
.btn_bo_adm {float:left}
.btn_bo_adm li {float:left;margin-right:5px}
.btn_bo_adm input {padding:0 8px;border:0;background:#d4d4d4;color:#666;text-decoration:none;vertical-align:middle}
.bo_notice td {background:#fff6fa !important;border-bottom:1px solid #f8e6ee}
.bo_notice td a {font-weight:bold}
.bo_notice .notice_icon {display:inline-block;line-height:25px;border-radius:5px;font-weight:bold;color:#f9267f}


#bo_list .tbl_head01 a {font-size:1.05rem;}
#bo_list .bo_tit{white-space:normal;font-weight:600;padding:5px 0;}
#bo_list .tbl_head01 .td_num{
 background-image:url(/img/iw_ic.png); 
 background-repeat:no-repeat ;
 background-position:left center;
 padding-left:20px;
 white-space:nowrap;
 text-align:left;
}
.bo_current{color:#ff0a9b}
.td_num2{color:#3dadff;}
#bo_v_title .bo_v_tit {display:block;font-size:1.2rem;margin:10px 0 0;word-break:break-all}
#bo_v_share{display:none}
.pf_img img{border:1px solid #ddd}
/* 열람중 */
#bo_list tr.bo_current_row {background:#f5f8ff;}
#bo_list tr.bo_current_row:hover {background:#e9f0ff;}
#bo_list .sv_member{color:#999;}

/* ===== 모바일 ===== */
@media (max-width:768px){
#bo_cate{margin:5px 0;}
#bo_cate a{line-height: 24px;
    padding: 7px 10px;
    font-size: 15px;}

#bo_list_total{line-height:1.3;margin:10px 10px 0;}
#bo_v_con{padding:0 10px;}
#bo_list thead{display:none;}
#bo_list .tbl_head01 td{border-bottom:0;width:auto;height:auto;padding:0;margin:0;color:#999;font-size:15px;line-height:1em;}
#bo_list tbody tr{display:block; padding:8px; border-bottom:1px solid #eee;}
#bo_list td{display:none;}
#bo_list .td_subject{display:block; margin-bottom:5px;}
#bo_list .td_subject .bo_tit::before{content: attr(data-num) " "; color:#3dadff; margin-right:4px; font-weight:400;}
#bo_list tr.bo_current_row .td_subject .bo_tit::before{display:none;}
#bo_list .td_name, #bo_list .td_datetime, #bo_list .td_num{display:inline-block; margin-right:6px;}
#bo_list .tbl_head01 .td_num{border-left:2px solid #eee;border-right:2px solid #eee;padding:0 5px 0 22px;background-position:5px center;}
#bo_list .bo_tit{padding:0;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;

  overflow: hidden;
  line-height: 1.3;
  max-height: calc(1.4em * 2);margin-bottom:5px;
  }
#bo_gall #gall_ul{width:100%;max-width:100%;margin-bottom:10px;}
#bo_gall .gall_li .gall_chk{right:auto;left:0;top:0;}
#bo_gall .gall_box {width:auto;height:auto;padding:10px 5px;}
#bo_gall .gall_con {display:flex;padding:0px;width:auto;}

#bo_gall .gall_img{position:relative;top:0;left:0;width:70px;height:50px;border-radius:5px;flex-shrink: 0;margin-right:10px;}
#bo_gall .gall_text_href{flex: 1;  min-width: 0; /* ⭐ 중요 (넘침 방지) */}
#bo_gall .bo_cnt{width:auto;height:50px;display:block;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;font-size:.95rem;}
#bo_gall .bo_tit{margin-bottom:0;}
.gall_info{position:absolute;bottom:0;left:80px;margin-top:0;font-size:.9rem;line-height:1.2;}
#bod_in #s_con_r{padding-bottom:10px;}

}

/* ===== PC 복구 (핵심🔥) ===== */
@media (min-width:769px){
#bo_w{padding:40px 0 50px;}
#bo_btn_top{position:relative}
#bo_btn_top {display: flex;
 justify-content: space-between;}
 /* 테이블 구조 복구 */
 #bo_list table{display:table;}
 #bo_list thead{display:table-header-group;}
 #bo_list tbody{display:table-row-group;}
 #bo_list tr{display:table-row;}
 #bo_list td{display:table-cell;}

 /* 기존 스타일 */
 #bo_list{margin-bottom:150px}
 #bo_list tbody tr:hover{border-left:2px solid #253dbe;}

 #bo_list .td_name{
 min-width:90px;
 width:100px;
 text-align:left;
}

 #bo_list .td_name .sv_member{
 display:block;
 width:90px;
 padding:10px 0;
 text-overflow:ellipsis;
 white-space:nowrap;
 overflow:hidden;
}

 #bo_list .td_num2{
 min-width:30px;
 white-space:nowrap;
}

 .td_subject{
 width:auto; /* 🔥 고정값 제거 */
}

 .bo_tit{
 width:auto; /* 🔥 고정값 제거 */
 white-space:nowrap;
 overflow:hidden;
 text-overflow:ellipsis;
}

.bod_view{margin-top:20px;}
}


@media (max-width:480px){}